cascading.flow.planner.iso.transformer

## Enum InsertionGraphTransformer.Insertion

- java.lang.Object
- - java.lang.Enum<InsertionGraphTransformer.Insertion>
  - - cascading.flow.planner.iso.transformer.InsertionGraphTransformer.Insertion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InsertionGraphTransformer.Insertion>

Enclosing class:
  InsertionGraphTransformer

    public static enum InsertionGraphTransformer.Insertion
    extends java.lang.Enum<InsertionGraphTransformer.Insertion>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`After`
`AfterEachEdge`
`Before`
`BeforeEachEdge`

### Method Summary

Methods
`static InsertionGraphTransformer.Insertion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InsertionGraphTransformer.Insertion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Before

    public static final InsertionGraphTransformer.Insertion Before

#### After

    public static final InsertionGraphTransformer.Insertion After

#### BeforeEachEdge

    public static final InsertionGraphTransformer.Insertion BeforeEachEdge

#### AfterEachEdge

    public static final InsertionGraphTransformer.Insertion AfterEachEdge

### Method Detail

#### values

    public static InsertionGraphTransformer.Insertion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InsertionGraphTransformer.Insertion c : InsertionGraphTransformer.Insertion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InsertionGraphTransformer.Insertion valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null